| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gaudi::Details::Property::StringConverter< TYPE > Struct Template Reference

`#include <GaudiKernel/Property.h>`

## Public Member Functions
std::string | toString (const TYPE &v)
TYPE | fromString (const std::string &s)
template<>
std::string | toString (const std::string &v)

## Detailed Description

### template<class TYPE>
struct Gaudi::Details::Property::StringConverter< TYPE >

Definition at line 154 of file Property.h.

## Member Function Documentation

template<class TYPE >

TYPE Gaudi::Details::Property::StringConverter< TYPE >::fromString | ( | const std::string & | s | ) |
| inline

Definition at line 156 of file Property.h.

157 {
158 TYPE tmp;
159 using Gaudi::Parsers::parse;
160 if ( !parse( tmp, s ).isSuccess() ) {
161 throw std::invalid_argument( "cannot parse '" + s + "' to " + System::typeinfoName( typeid( TYPE ) ) );
162 }
163 return tmp;
164 }
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:299
Gaudi::Parsers::parse
StatusCode parse(GaudiUtils::HashMap< K, V > &result, const std::string &input)
Basic parser for the types of HashMap used in DODBasicMapper.
Definition: DODBasicMapper.cpp:11
std::invalid_argument
STL class.
template<class TYPE >

std::string Gaudi::Details::Property::StringConverter< TYPE >::toString | ( | const TYPE & | v | ) |
| inline

Definition at line 155 of file Property.h.

155 { return Gaudi::Utils::toString( v ); }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:367
template<>

std::string Gaudi::Details::Property::StringConverter< std::string >::toString | ( | const std::string & | v | ) |
| inline

Definition at line 167 of file Property.h.

168 {
169 return v;
170 }

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h